<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ORCallForwardNoCoverage StructType
 * @subpackage Structs
 */
class ORCallForwardNoCoverage extends AbstractStructBase
{
    /**
     * The callingSearchSpaceName
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var ORFkType
     */
    public $callingSearchSpaceName;
    /**
     * Constructor method for ORCallForwardNoCoverage
     * @uses ORCallForwardNoCoverage::setCallingSearchSpaceName()
     * @param ORFkType $callingSearchSpaceName
     */
    public function __construct(ORFkType $callingSearchSpaceName = null)
    {
        $this
            ->setCallingSearchSpaceName($callingSearchSpaceName);
    }
    /**
     * Get callingSearchSpaceName value
     * @return ORFkType|null
     */
    public function getCallingSearchSpaceName()
    {
        return $this->callingSearchSpaceName;
    }
    /**
     * Set callingSearchSpaceName value
     * @param ORFkType $callingSearchSpaceName
     * @return ORCallForwardNoCoverage
     */
    public function setCallingSearchSpaceName(ORFkType $callingSearchSpaceName = null)
    {
        $this->callingSearchSpaceName = $callingSearchSpaceName;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return ORCallForwardNoCoverage
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
